WordPressをバージョン4.5にしたら、投稿でエラーが出て焦った件。

WordPressを4.5にバージョンアップしたら、投稿の時にエラーが出て投稿できなくなった、というお話です。

マンガやコミックそれに小説をパソコンやスマホで楽しみたいなら、renta(レンタ)やひかりブックスなど、電子書籍や電子ブックと貸本などのサービスが便利でよく利用されています。

注目のスポンサーリンク

仕事でWordPress使ってる人とか困っただろうね(´・ω・`)

バージョンアップ後、いつもどおり公開しようとしたら、画面が真っ白になって、

Fatal error: Undefined class constant ‘ALPHACHANNEL_UNDEFINED’ in {xxxxx}/wp-includes/class-wp-image-editor-imagick.php on line 379

なるエラーが出て、公開できない、プレビューも見られないという状態に陥りました。
({xxxxx}の部分はWordPressのインストール先なので、環境によって異なると思います)

投稿の直前にバージョンアップを行ったので、おそらく原因はそれだろうと考え、すぐにググってみると、同じ現象で困っている人が山ほどいました。

結論から言うと、原因は「wp-includes/class-wp-image-editor-imagick.php」ファイル中のバグでした。
PHPのバージョンや、iniの設定によって出るとか出ないとかあるのか?と思って調べたのですが、情報が出てこないので、本当にバグなのかもです。そんなこともあるんですねー。

対処方法は、日本語フォーラムや、ロリポのサポートページにありましたので、こちらを参考にして頂きたく。

  • ロリポップ!サポート

  • WordPress日本語フォーラム

なお、Ver4.5.1で修正される見込み、とのことです。

注目のスポンサーリンク